List networks for a dedicated server
To list all networks for a dedicated server, send a GET request to /v1/hosts/dedicated_servers/{server_id}/networks. Add an ID as a path parameter to indicate a necessary server.
Authorization
bearerAuth In: header
Path Parameters
| Field | Details |
|---|---|
server_id | stringA unique identifier of a server. |
Query Parameters
| Field | Details |
|---|---|
search_pattern? | stringThis pattern is used to return resources containing the parameter value in its name. |
family? | stringValue in: This parameter shows if it's an |
interface_type? | stringValue in: A type of an interface where a network is configured: |
distribution_method? | stringValue in: A way to distribute a network. In case of |
additional? | booleanThis parameter indicates whether a requested network is ordered additionally. In this case, it has the |
per_page? | integerDefault: Range: 1–100 The number of results [ 1 .. 100 ] displayed on a page. By default, 20 results are shown. |
page? | integerDefault: Min: The number of a page (>= 1) that will be returned. By default, it's 1. |
sorting? | stringValue in: Default: This parameter sorts items. By default, it's |
direction? | stringValue in: Default: This parameter defines if items are sorted in an ascending |
Response Body
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/v1/hosts/dedicated_servers/3YaOGRax/networks"[ { "id": "9wdLqWej", "title": "Public", "status": "active", "cidr": "100.0.8.0/29", "family": "ipv4", "interface_type": "public", "distribution_method": "gateway", "additional": false, "updated_at": "2026-05-28T07:06:48Z", "created_at": "2026-05-28T07:06:48Z" }, { "id": "N1aMrBbW", "title": "Private", "status": "active", "cidr": "10.128.1.0/29", "family": "ipv4", "interface_type": "private", "distribution_method": "gateway", "additional": false, "updated_at": "2026-05-28T07:06:48Z", "created_at": "2026-05-28T07:06:48Z" }, { "id": "J0dNvKdL", "title": "Public", "status": "active", "cidr": "100.0.4.0/29", "family": "ipv4", "interface_type": "public", "distribution_method": "gateway", "additional": true, "updated_at": "2026-05-28T07:06:48Z", "created_at": "2026-05-28T07:06:48Z" }, { "id": "3YaOwGax", "title": "Private", "status": "active", "cidr": "10.128.0.128/29", "family": "ipv4", "interface_type": "private", "distribution_method": "gateway", "additional": true, "updated_at": "2026-05-28T07:06:48Z", "created_at": "2026-05-28T07:06:48Z" }, { "id": "YqaQyqan", "title": "Alias", "status": "active", "cidr": "127.2.53.0/24", "family": "ipv4", "interface_type": "public", "distribution_method": "route", "additional": true, "updated_at": "2026-05-28T07:06:48Z", "created_at": "2026-05-28T07:06:48Z" }, { "id": "y5eVE9dE", "title": "OOB", "status": "active", "cidr": "100.35.0.6/31", "family": "ipv4", "interface_type": "oob", "distribution_method": "gateway", "additional": true, "updated_at": "2026-05-28T07:06:48Z", "created_at": "2026-05-28T07:06:48Z" }, { "id": "KQe1yoeJ", "title": "Locally Significant IPv6", "status": "active", "cidr": "2a05:93c0:999::8/125", "family": "ipv6", "interface_type": "public", "distribution_method": "gateway", "additional": true, "updated_at": "2026-05-28T07:06:49Z", "created_at": "2026-05-28T07:06:49Z" }, { "id": "ELe3Anb6", "title": "thequickbrownfoxjumpsoverthelazydog", "status": "active", "cidr": "2a05:93c0:25:10::/64", "family": "ipv6", "interface_type": "public", "distribution_method": "route", "additional": true, "updated_at": "2026-05-28T07:06:49Z", "created_at": "2026-05-28T07:06:49Z" }]